org.apache.pdfbox.pdmodel.graphics.state

## Enum RenderingIntent

- java.lang.Object
- - java.lang.Enum<RenderingIntent>
  - - org.apache.pdfbox.pdmodel.graphics.state.RenderingIntent

All Implemented Interfaces:
  Serializable, Comparable<RenderingIntent>

    public enum RenderingIntent
    extends Enum<RenderingIntent>

Rendering intent.

Author:
  John Hewson

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABSOLUTE_COLORIMETRIC` Absolute Colorimetric.
`PERCEPTUAL` Perceptual.
`RELATIVE_COLORIMETRIC` Relative Colorimetric.
`SATURATION` Saturation.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static RenderingIntent` `fromString(String value)`
`String` `stringValue()` Returns the string value, as used in a PDF file.
`static RenderingIntent` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static RenderingIntent[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ABSOLUTE_COLORIMETRIC

    public static final RenderingIntent ABSOLUTE_COLORIMETRIC

Absolute Colorimetric.

#### RELATIVE_COLORIMETRIC

    public static final RenderingIntent RELATIVE_COLORIMETRIC

Relative Colorimetric.

#### SATURATION

    public static final RenderingIntent SATURATION

Saturation.

#### PERCEPTUAL

    public static final RenderingIntent PERCEPTUAL

Perceptual.

### Method Detail

#### values

    public static RenderingIntent[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (RenderingIntent c : RenderingIntent.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static RenderingIntent valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromString

    public static RenderingIntent fromString(String value)

#### stringValue

    public String stringValue()

Returns the string value, as used in a PDF file.

Returns:
  the string value